GCLOUD_ML-ENGINE_PREDICT(1)

NAME

gcloud ml-engine predict - run Cloud ML Engine online prediction

SYNOPSIS

gcloud ml-engine predict --model=MODEL (--json-instances=JSON_INSTANCES | --text-instances=TEXT_INSTANCES) [--version=VERSION] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud ml-engine predict sends a prediction request to Cloud ML Engine for the given instances. This command will read up to 100 instances, though the service itself will accept instances up to the payload limit size (currently, 1.5MB). If you are predicting on more instances, you should use batch prediction via
    $ gcloud ml-engine jobs submit prediction.

REQUIRED FLAGS

    --model=MODEL
        Name of the model.

Exactly one of these must be specified:

    --json-instances=JSON_INSTANCES
        Path to a local file from which instances are read. Instances are in JSON format; newline delimited. An example of the JSON instances file:
        {"images": [0.0, ..., 0.1], "key": 3} {"images": [0.0, ..., 0.1], "key": 2}
    This flag accepts "-" for stdin.

    --text-instances=TEXT_INSTANCES
        Path to a local file from which instances are read. Instances are in UTF-8 encoded text format; newline delimited. An example of the text instances file:
        107,4.9,2.5,4.5,1.7 100,5.7,2.8,4.1,1.3
    This flag accepts "-" for stdin.

OPTIONAL FLAGS

    --version=VERSION
        Model version to be used. If unspecified, the default version of the model will be used. To list model versions run
        $ gcloud ml-engine versions list

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.